- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WKSParser Class Referenceabstract

`#include <WKSParser.h>`

Inheritance diagram for WKSParser:

## Public Member Functions
| WKSParser (RVNGInputStreamPtr &input, WPSHeaderPtr &header)
virtual | ~WKSParser ()
virtual void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface)=0

## Protected Member Functions
RVNGInputStreamPtr & | getInput ()
RVNGInputStreamPtr | getFileInput ()
WPSHeaderPtr & | getHeader ()
int | version () const
void | setVersion (int vers)
libwps::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Private Member Functions
| WKSParser (const WKSParser &)
WKSParser & | operator= (const WKSParser &)

## Private Attributes
RVNGInputStreamPtr | m_input
WPSHeaderPtr | m_header
int | m_version
libwps::DebugFile | m_asciiFile
| the debug file More...

## Constructor & Destructor Documentation

WKSParser::WKSParser | ( | RVNGInputStreamPtr & | input,
|  | WPSHeaderPtr & | header
| ) |  |

Referenced by ascii().

WKSParser::~WKSParser | ( |  | ) |
| virtual

WKSParser::WKSParser | ( | const WKSParser & |  | ) |
| explicit private

## Member Function Documentation

libwps::DebugFile& WKSParser::ascii | ( |  | ) |
| inline protected

a DebugFile used to write what we recognize when we parse the document

Referenced by QuattroParser::checkHeader(), WKS4Parser::checkHeader(), LotusParser::checkHeader(), WKS4Parser::parse(), QuattroParser::parse(), LotusParser::parse(), WKS4Parser::readChart2Font(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), LotusParser::readChartDefinition(), WKS4Parser::readChartFont(), WKS4Parser::readChartLimit(), WKS4Parser::readChartList(), QuattroParser::readChartName(), LotusParser::readChartName(), WKS4Parser::readChartName(), WKS4Parser::readChartUnknown(), LotusParser::readDataZone(), LotusParser::readDocumentInfoMac(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), LotusParser::readFMTFontName(), WKS4Parser::readFont(), QuattroParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), LotusParser::readLinkZone(), LotusParser::readMacFontName(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), QuattroParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroParser::readUserFonts(), QuattroParser::readWindowRecord(), WKS4Parser::readWindowRecord(), QuattroParser::readZone(), WKS4Parser::readZone(), LotusParser::readZone(), WKS4Parser::readZoneQuattro(), QuattroParser::readZones(), WKS4Parser::readZones(), and LotusParser::readZones().

RVNGInputStreamPtr WKSParser::getFileInput | ( |  | ) |
| protected

Referenced by getInput().

WPSHeaderPtr& WKSParser::getHeader | ( |  | ) |
| inline protected

RVNGInputStreamPtr& WKSParser::getInput | ( |  | ) |
| inline protected

Referenced by QuattroParser::checkFilePosition(), WKS4Parser::checkFilePosition(), LotusParser::checkFilePosition(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), LotusParser::checkHeader(), QuattroParser::createListener(), WKS4Parser::createListener(), LotusParser::createListener(), WKS4Parser::parse(), QuattroParser::parse(), LotusParser::parse(), WKS4Parser::readChart2Font(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), LotusParser::readChartDefinition(), WKS4Parser::readChartFont(), WKS4Parser::readChartLimit(), WKS4Parser::readChartList(), QuattroParser::readChartName(), LotusParser::readChartName(), WKS4Parser::readChartName(), WKS4Parser::readChartUnknown(), LotusParser::readDataZone(), LotusParser::readDocumentInfoMac(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), LotusParser::readFMTFontName(), WKS4Parser::readFont(), QuattroParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), LotusParser::readLinkZone(), LotusParser::readMacFontName(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), QuattroParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroParser::readUserFonts(), QuattroParser::readWindowRecord(), WKS4Parser::readWindowRecord(), QuattroParser::readZone(), WKS4Parser::readZone(), LotusParser::readZone(), WKS4Parser::readZoneQuattro(), QuattroParser::readZones(), WKS4Parser::readZones(), and LotusParser::readZones().

WKSParser& WKSParser::operator= | ( | const WKSParser & |  | ) |
| private

Referenced by ascii(), QuattroSpreadsheet::setListener(), WKS4Spreadsheet::setListener(), and LotusSpreadsheet::setListener().

virtual void WKSParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| pure virtual

Implemented in LotusParser, QuattroParser, and WKS4Parser.

void WKSParser::setVersion | ( | int | vers | ) |
| inline protected

int WKSParser::version | ( |  | ) | const
| inline protected

## Member Data Documentation

libwps::DebugFile WKSParser::m_asciiFile
| private

the debug file

Referenced by ascii(), LotusStyleManager::ascii(), QuattroSpreadsheet::ascii(), LotusSpreadsheet::ascii(), and WKS4Spreadsheet::ascii().

WPSHeaderPtr WKSParser::m_header
| private

Referenced by getFileInput(), and getHeader().

RVNGInputStreamPtr WKSParser::m_input
| private

Referenced by getInput().

int WKSParser::m_version
| private

Referenced by setVersion(), version(), and WKSParser().

The documentation for this class was generated from the following files:

- WKSParser.h
- WKSParser.cpp